#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;

struct Prijatelji
{
    vector<int> brojevi;
    vector<int> ponavljanja;

    Prijatelji()
    {

    }

    void ubaci_Broj(int broj)
    {
      bool broj_postoji = false;
      int gde_postoji;
      for(int i=0; i<brojevi.size(); i++)
      {
          if(broj == brojevi.at(i))
          {
              broj_postoji = true;
              gde_postoji = i;
          }
      }
      if(broj_postoji)
      {
          ponavljanja.at(gde_postoji) += 1;
      }
      else
      {
          brojevi.push_back(broj);
          ponavljanja.push_back(1);
      }
    }

    int Ponavljanja(int broj)
    {
        int gde_postoji;
        bool da_li_postoji = false;
        for(int i=0; i < brojevi.size(); i++)
        {
            if(broj == brojevi.at(i))
            {
                gde_postoji = i;
                da_li_postoji = true;
            }
        }
        if(da_li_postoji)
        {
            return ponavljanja.at(gde_postoji);
        }
        else
        {
            return 0;
        }
    }
};

int main()
{
    long int N, M;
    cin >> N >> M;

    bool i_vece_od_nula = true;
    Prijatelji prijatelji;
    long long int druz[N+1];

    for(int i=1; i <= N; i++)
    {
        cin >> druz[i];
        if(druz[i] != 1)
        {
            i_vece_od_nula = false;
        }
    }

    for(int i=1; i<=M; i++)
    {
        int a, b;
        cin >> a >> b;
        prijatelji.ubaci_Broj(a);
        prijatelji.ubaci_Broj(b);
    }


    // razrada

    if(i_vece_od_nula)
    {
        long long int zbir = 0;
        for(int i = 1; i <= N; i++)
        {
            int sreca = druz[i] * (prijatelji.Ponavljanja(i));
            zbir += sreca;
        }
        cout << zbir << endl;
    }
    else
    {
        long long int zbir = 0;
        for(int i = 1; i <= N; i++)
        {
            int sreca = druz[i] * (-prijatelji.Ponavljanja(i));
            zbir += sreca;
        }
        cout << zbir << endl;
    }
    return 0;
}